;;;; -*- Mode: Lisp; Package: ASDF; -*-

(in-package :asdf)

(defsystem usocket-udp
  :description "UDP support for the USOCKET project"
  :version "2.0"
  :author "Chun Tian (binghe) <binghe.lisp@gmail.com>"
  :depends-on (:usocket
               #+lispworks :lispworks-udp)
  :serial t
  :components ((:file "rtt")
               (:file "usocket")
	       #+allegro
	       (:file "usocket-allegro")
               #+clozure
	       (:file "usocket-clozure")
               #+cmu
	       (:file "usocket-cmucl")
               #+(or sbcl ecl)
	       (:file "usocket-sbcl")
               #+lispworks
	       (:file "usocket-lispworks")
               (:file "usocket-server")
               (:file "usocket-client")))
